{
  description = "a nix flake for compiling julia programs";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs = { self, nixpkgs, flake-utils, ... }:
  flake-utils.lib.eachDefaultSystem (system:
    let pkgs = nixpkgs.legacyPackages.${system};
    in rec {
      packages = {
        juliaSkele = (import ./juliaDeri.nix) {
          pkgs = pkgs;
          pname = "myjulia";
          mainFile = "src/PlotTest.jl";
        };
      };
      defaultPackage = packages.juliaSkele;
    }
  );
}

