{ pkgs,
  pname,
  mainFile ? "src/Main.jl",
  ... }: 
pkgs.stdenv.mkDerivation rec {
    name = pname;
    src = ./.;

    buildInputs = with pkgs; [ julia curl ];

    phases = [ "installPhase" ];

    installPhase = ''
      mkdir -p $out/bin
      cp -r $src/src $out/src
      cp $src/Project.toml $out/Project.toml
      cp $src/Manifest.toml $out/Manifest.toml
      cp $src/generatedSysImage.so $out/generatedSysImage.so
      echo "JULIA_LOAD_PATH=$out julia --project --sysimage $out/generatedSysImage.so $out/${mainFile}" >> $out/bin/${pname}
      echo "julia --project $out/${mainFile}" >> $out/bin/${pname}-slow
      chmod +x $out/bin/${pname}
      chmod +x $out/bin/${pname}-slow
    '';
}

